Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Data Points

Get DataPoints
GET /dataSets/{dataSetId}/dataPoints
https://api.relesysapp.net/api/v1.4/dataSets/{dataSetId}/dataPoints
Get a list of DataPoints by the DataSet Id
Scopes: relesys.api, relesys.api:read, relesys.api.kpis, relesys.api.kpis:read
URL Path
dataSetId string / guid required
Query String
dataValue double Filterable Sortable optional
departmentId string / guid Filterable optional
label string Filterable Sortable optional
timeStamp datetimeoffset Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"label":"Highest Basket Size","timeStamp":"2020-01-19T22:00:00+00:00","value":1337.0,"departmentId":"fc6a087f-45a2-4e82-93b3-26fe4efbfceb","userId":"68312450-a772-483c-a831-1767cd6defdd"},{"label":"NPS","timeStamp":"2020-01-19T22:00:00+00:00","value":0.9,"departmentId":"a8a2d08d-a63f-4d5e-aada-7f1ec1e4257c","userId":"b81673f2-f305-469b-a765-b5f604ecc5ea"}]}
object
  count integer      
  data array[object]      
   departmentId string / guid      
   label string      
   timeStamp datetimeoffset      
   userId string / guid      
   value double      
  nextUrl string      
  previousUrl string